<template>
  <div>
    <div class="pie"></div>
  </div>
</template>

<style module>
svg {
  transform: rotate(-90deg);
  border-radius: 50%;
}
circle {
  fill: black;
  stroke: white;
  stroke-width: 32;
}
</style>

<script>
export default {
  props: {
    percent: Number,
  },
  mounted() {
    this.drawPie();
  },
  methods: {
    drawPie() {
      const pies = this.$el.getElementsByClassName('pie');
      for (let pie of pies) {
        const NS = "http://www.w3.org/2000/svg";
        const svg = document.createElementNS(NS, "svg");
        const circle = document.createElementNS(NS, "circle");
        circle.setAttribute("r", '16');
        circle.setAttribute("cx", '16');
        circle.setAttribute("cy", '16');
        circle.setAttribute("stroke-dasharray", this.percent + " 100");
        svg.setAttribute("viewBox", "0 0 32 32");
        svg.appendChild(circle);
        pie.appendChild(svg);
      }
    }
  }
};
</script>